function setValidSuccess(mode, filename, info) {
    localStorage.setItem(mode + 'file', filename);
    localStorage.setItem(mode + 'fileinfo', info);
    localStorage.removeItem(mode + 'fileerr');
}

function setValidError(mode, filename, errorMsg) {
    localStorage.setItem(mode + 'file', filename);
    localStorage.removeItem(mode + 'fileinfo');
    localStorage.setItem(mode + 'fileerr', errorMsg);
}

function setCreateError(mode, errorMsg) {
    localStorage.removeItem(mode + 'file');
    localStorage.removeItem(mode + 'fileinfo');
    localStorage.setItem(mode + 'fileerr', errorMsg);
}

var ajaxGenPosXml = function(data) {
    return $.ajax({ url: "/genposxml", data: data, dataType: 'json', method: "POST", timeout: 10000 });
};

var ajaxUpdatePosXml = function(data) {
    return $.ajax({ url: "/updposxml", data: data, dataType: 'json', method: "POST", timeout: 10000 });
};

var ajaxValid = function(target, data /*{ filename: data.outfile }*/ ) {
    return $.ajax({ url: "/valid/" + target, data: data, method: "POST", timeout: (target === 'tf') ? 60000 : 10000 });
    // It doesn't use JSON because of storing response to localstorage as string.
};

var ajaxGenNeighbors = function(data /*{ filename: data.outfile, [algorithm: data.neighborsalgorithmlist, maxnum: data.maxnumofneighbors, threshold: data.threshofneighbors] }*/ ) {
    return $.ajax({ url: "/genneighbors", data: data, dataType: 'json', method: "POST", timeout: 10000 });
};

var ajaxGenConfig = function(data) {
    return $.ajax({ url: "/genconfig", data: data, dataType: 'json', method: "POST", timeout: 10000 });
};

var ajaxMergeXmls = function(data) {
    return $.ajax({ url: "/mergexmls", data: data, dataType: 'json', method: "POST", timeout: 10000 });
};

var ajaxMergeSrcXmls = function(data) {
    return $.ajax({ url: "/mergesrcxmls", data: data, dataType: 'json', method: "POST", timeout: 10000 });
};

var ajaxGenTf = function(data) {
    return $.ajax({ url: "/gentf", data: data, dataType: 'json', method: "POST", timeout: 600000 });
};
